
Redmine - Patch #29441

Remove code related to JRuby and unsupported Ruby versions

2018-08-26 14:27 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Related issues:

Related to Redmine - Defect #31387: Don't rescue Exception class Closed

Related to Redmine - Patch #32937: test_revisions_latin_1_identifier should b... Closed

Associated revisions

Revision 18294 - 2019-06-20 15:47 - Jean-Philippe Lang

Remove code related to JRuby and unsupported Ruby versions (#29441).

Patch by Marius BALTEANU.

Revision 18295 - 2019-06-20 15:48 - Jean-Philippe Lang

Remove code related to JRuby and unsupported Ruby versions (#29441).

Patch by Go MAEDA.

History

#1 - 2018-09-01 06:29 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#2 - 2018-09-19 17:03 - Go MAEDA

- Assignee set to Jean-Philippe Lang

#3 - 2018-10-15 15:27 - Jeremy Bailey

It might be interesting to mention hear that the TruffleRuby team is making rapid progress, and I’ve reported a few issues they are actively working on

that will eventually allow Redmine (and other production Rails apps) to run, considerably faster than MRI. TruffleRuby is based on JRuby but adds a

lot to it. I hope Redmine will officially support it when compatibility is achieved.

#4 - 2018-10-15 15:45 - Holger Just

TruffleRuby is way less mature that JRuby. Also, it doesn't solve the issue that many external gems used by Redmine do not fully support JRuby (and

even less likely TruffleRuby). Thus, while Truffle is interesting, full support for it likely requires a long way to go.

#5 - 2018-10-15 16:03 - Pavel Rosický

lower your expectations, TruffleRuby will definitely excel in numeric operations (micro-benchmarks), partial evaluation is also an interesting technique,

but a webserver is usually limited by IO (handling requests, database access etc.) so I don't expect it'll be MUCH faster.

#6 - 2018-11-27 12:19 - Go MAEDA

- File 29411-gemfile.diff added

Gemfile also has JRuby related code that can be removed.

#7 - 2019-05-25 03:08 - Go MAEDA

- Related to Defect #31387: Don't rescue Exception class added

#8 - 2019-06-20 15:48 - Jean-Philippe Lang

- Status changed from New to Closed
Committed, thanks.

#9 - 2020-02-04 06:03 - Go MAEDA

- Related to Patch #32937: test_revisions_latin_1_identifier should be skipped on Windows added

Files

code_cleanup.patch 4.44 KB 2018-08-26 Marius BĂLTEANU

29411-gemfile.diff 737 Bytes 2018-11-27 Go MAEDA
